Get Application Workflow
curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/workflow \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/workflow"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lendflow.com/api/applications/{application_id}/workflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"name": "Pierce Stanton",
"type": "linear",
"widget": [
1,
10
],
"status": 2,
"workflow_status": {
"is_live_status": null,
"status": null,
"sub_status": null,
"color": null
},
"stage_id": null,
"flow_id": null,
"stage_category": null,
"stage_name": null,
"is_manually_selecting_offers": true,
"offer_declined_reasons": [
"Offer Amount Insufficient",
"Interest Rate Too High",
"Payment Too High",
"Term Length Inadequate",
"Prefer Another Funding Option",
"Documentation Requirements",
"Better Offer Elsewhere",
"Business Situation Changed",
"Fees Too High",
"Miscommunication/Confusion",
"Need More Time"
],
"offer_declined_reasons_other_label": "Other",
"has_whitelabeled_email_submission": false,
"created_at": null,
"updated_at": null
}
}Workflow Management
Get Application Workflow
Returns the latest version of the workflow tied to the application, including its full content.
GET
/
api
/
applications
/
{application_id}
/
workflow
Get Application Workflow
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?